vmjim
Contributor
Contributor

LeftHand VSA 8 with VSR 7 and SRM U1

Jump to solution

I'm not having any luck getting LeftHand VSA ver 8 and VSR ver 7 working with Site Recover Manager 1 U1. Does anyone know how I can download LeftHand VSA ver 7 or find an updated VSR that with works with LeftHand VSA 8 and SRM?

I tried the LeftHand web site for old version of VSA with no luck.

I would switch to EMC Celerra VSA if I could find a download of that.

Tags (4)
0 Kudos
1 Solution

Accepted Solutions
JeffDrury
Hot Shot
Hot Shot

Sounds like you may have a mis-match of versions. Here is what you should be using:

VSA - 8.0.00.1712

SRA - 8.0.00.1682

CMC - 8.0.00.1704

Are you using those versions? It sounds like either the CMC or the SRA may be different.

View solution in original post

0 Kudos
15 Replies
JeffDrury
Hot Shot
Hot Shot

Jim,

At what point are you getting errors? SRM with VSA 8 should work well, in fact I have it running right now. Can you post the specific errors you are getting?

0 Kudos
vmjim
Contributor
Contributor

My error message is "Failed to authenticate with array management system while executing discoverArrays command."

For the "SAN/IQ Manager IP 1:" I have tried the VSA node IP and cluster group IP and I know I'm using the correct Username and password because the CMC connects to the management groups with the same username and password. If I use a bogus IP I get an error "Failed to connect...".

0 Kudos
JeffDrury
Hot Shot
Hot Shot

Jim,

A couple of things may be happening here.

1. Have you restarted the SRM service since installing the SRA?

2. Is there any firewall software on the SRM server? If there is can you disable it? You need to be able to route TCP/IP traffic between the SRM server and the Lefthand VSA. If these nodes are on different networks make sure there are no other network devices that may be filtering ports.

3. Is there a valid remote copy schedule configured between the primary and remote site VSA's? If there is not a schedule implemented then the SRA will display the volumes in the SRM config.

4. For the IP address in the SRA config use the IP address of the VSA. Ensure that the VSA shows up as a manager in the CMC.

vmjim
Contributor
Contributor

I have rebooted everything several time. No firewalls. I have a scheduled ( 30 min.) a remote snapshot from my protected site to my DR site with a VM running on the volume. I have installed the CMC on the VirtualCenter servers to make sure the VC servers can connect to the VSA servers.

The SRM log file shows:

ERROR: command to address 10.0.0.101 failed because the version of the CMC is too old.

I'm using current LeftHand VSA and VMware's SRM and SRA for LeftHand. I have attached the full log.

0 Kudos
Kevin_Gao
Hot Shot
Hot Shot

I'm just about to update our SAN's to that version (NSA 2120's)...I'll let you know if I encounter anything like this...

0 Kudos
JeffDrury
Hot Shot
Hot Shot

Sounds like you may have a mis-match of versions. Here is what you should be using:

VSA - 8.0.00.1712

SRA - 8.0.00.1682

CMC - 8.0.00.1704

Are you using those versions? It sounds like either the CMC or the SRA may be different.

0 Kudos
vmjim
Contributor
Contributor

Where did you get that SRA 8.x??? I download ver 7.0.01.6066 from the VMware SRM download web page.

0 Kudos
JeffDrury
Hot Shot
Hot Shot

That is the latest SRA from the LeftHand page. Try downloading from this link: http://resources.lefthandnetworks.com/forms/VMware-LeftHand-SRA-Download

There is a big difference between the 7.x and 8.x SRA. 7.x software uses Java based commands while the 8.x uses a new Lefthand API. If you use a 7.x SRA against an 8.x VSA then the commands that the SRA issues will not work, which is likely the cause of your issue.

Hope this helps and resolves your problem.

vmjim
Contributor
Contributor

For some reasom I get the following when trying to access the download...

Insufficient access permissions. You do not have permission to view this document.

0 Kudos
Kevin_Gao
Hot Shot
Hot Shot

link works...it should ask you for your email address. are you under support contract?

0 Kudos
vmjim
Contributor
Contributor

I'm screwed.... I using an virtual appliance evaluation copy of LeftHand VSA 8 but I can't get access to the new SRA version 8. VMware's Web site has VSA version 8 virtual appliance but on its SRM download page they only offer the LeftHand SRA version 7. On LeftHands VSA evaluation download web site, they only distribuite VSA version 8 without any SRA. Can you say Catch 22?

0 Kudos
Kevin_Gao
Hot Shot
Hot Shot

My guess is that the new eval will come out eventually but sounds like you need it ASAP. Give them a call...maybe they'll send you a link for with an updated evaluation. Worst that can happen is they tell you an ETA on release.

0 Kudos
iefke
Enthusiast
Enthusiast

On the VMware site is a new SRA adapter for Lefthand.

www.ivobeerens.nl

Blog: http://www.ivobeerens.nl
0 Kudos
Adrian_P
Contributor
Contributor

Any idea where I can get the SRA for the Lefthand VSA from? I've hunted on the VMware web site and the Lefthand site and the only reference to it is here. I'm guessing I need it to use the demo iSCSI VSA that I've downloaded?

Thanks, Adrian

0 Kudos
iefke
Enthusiast
Enthusiast

The Lefthand SRA is on the VMware site. You can sign up to evaluate SRM and download the Lefthand VSA Version 8.

LeftHand Networks Storage Replication Adapter

Version 8.0.00.1682 | 1 - 01/26/09

www.ivobeerens.nl

Blog: http://www.ivobeerens.nl
0 Kudos